/****************************************************************************************

		Light.r

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Jerome Bignon
		Date:	06/21/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		07/22/99	Mael		include .rsrc on MAC
	

*****************************************************************************************/

#include "Copyright.h"
#include "LightDef.h"
#include "interfaceids.h"
#include "External3DAPI.r"


#ifndef qUsingResourceLinker
include "Light.rsr";
#endif



resource 'COMP' (132)
{
	kRID_LightsourceFamilyID,
	'CObl',
	"Beams Light",
	"SDK Examples",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (132)
{
	{
		R_IID_I3DExLightsource,
		R_CLSID_Light
	}
};

resource 'PMap' (132)
{
	{
		'HAAN', 'in16',	interpolate, "Hor. Aperture","",
		'VAAN',	'in16', interpolate, "Ver. Aperture","",
		'INTE', 'qf16', interpolate, "Intensity","",
		'NBBH', 'in16', interpolate, "# Hor. Beams","",
		'NBBV', 'in16',	interpolate, "# Ver. Beams","",
		'COLO', 'colo', interpolate, "Color","",
		'BEAP',	'in16', interpolate, "Beam Aperture",""
	}
};

resource 'TABS' (310)
{	
	//2 tabs
	{
		320, "Color", 321,
		330, "Parameters", 331,
	}
};